@title Прошивка устройства

@prompt $G 

@echo.

@set file=
@for %%f in (*.exe;*.bin) do @set file="%%f"
@if not defined file (
  echo Файл прошивки не обнаружен!
  echo Поместите его (в виде .exe или .bin^) в папку, где находится данный скрипт
  goto quit
)

@echo Будет установлена прошивка %file%
@echo.
@pause

bin\balong_flash.exe %file%

:quit

@echo.
@echo Работа скрипта завершена. Нажмите любую клавишу
@pause > nul
